=== debian/changelog ===
scikit-learn (0.20.2+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Skip test_check_estimator_pairwise test on armhf (another segfault)

 -- Ole Streicher <olebole@debian.org>  Mon, 28 Jan 2019 20:26:29 +0100

scikit-learn (0.20.2+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Skip test_check_estimator_clones test on armhf (another segfault)

 -- Ole Streicher <olebole@debian.org>  Mon, 28 Jan 2019 14:25:52 +0100

scikit-learn (0.20.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Skip another armhf test that leads to a segfault

 -- Ole Streicher <olebole@debian.org>  Mon, 28 Jan 2019 09:20:16 +0100

scikit-learn (0.20.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Move skipped tests from d/rules into a patch
  * Remaining fixes
  * Verbose test output

 -- Ole Streicher <olebole@debian.org>  Sun, 27 Jan 2019 17:29:31 +0100

scikit-learn (0.20.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Skip tests that fail on non-intel platforms. Closes: #919918

 -- Ole Streicher <olebole@debian.org>  Sun, 27 Jan 2019 11:41:13 +0100

scikit-learn (0.20.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.20.2+dfsg
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sat, 26 Jan 2019 21:48:46 +0100

scikit-learn (0.20.1+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Stuart Prescott ]
  * Update Standards-Version to 4.3.0 (no changes required).
  * Move source.lintian-overrides to new location.
  * Fix short descriptions for Python modules packages to not be identical.
  * Fix location of documentation in doc-base file.

  [ Mattia Rizzolo ]
  * Fix FTBFS of the binary-arch targets.  Closes: 919409

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 16 Jan 2019 14:57:47 +0100

scikit-learn (0.20.1+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Stuart Prescott ]
  * Remove broken parallel building.  Closes: #911830; MR: !1
    - remove broken parallel building.
    - use pybuild replacements rather than trying to second guess
      pybuild internal details.

  [ Mo Zhou ]
  * Fix keyword expression for ppc64el.

  [ Mattia Rizzolo ]
  * d/rules:
    + Set HOME=$(CURDIR)/tmp.  Closes: #915078
    + Manually delete some _configtest* files that appeared out of nowhere.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 12 Jan 2019 10:34:13 +0100
