## scikit-learn 0.20.3+dfsg

=== debian/changelog ===
scikit-learn (0.20.3+dfsg-0ubuntu4) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:23:12 +0100

scikit-learn (0.20.3+dfsg-0ubuntu3) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:53:39 +0000

scikit-learn (0.20.3+dfsg-0ubuntu2) eoan; urgency=medium

  * Drop python2 support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 16 Aug 2019 00:23:31 -0700

scikit-learn (0.20.3+dfsg-0ubuntu1) eoan; urgency=medium

  * New upstream release

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 01 May 2019 17:15:57 +0100
