=== debian/control ===
--- 
+++ 
@@ -1,16 +1,11 @@
 Source: scikit-learn
 Section: python
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 9~),
                dh-python,
-               python-all-dev (>= 2.6.6-3~),
-               python-setuptools,
-               python-numpy (>= 1:1.8.2~), python-scipy,
-               python-nose, python-pytest,
-               python-matplotlib,
-               python-joblib (>= 0.9.2),
                python3-all-dev,
                cython3,
                python3-setuptools,
@@ -21,8 +16,8 @@
                libsvm-dev (>= 2.84.0),
                libblas-dev | libblas.so,
                libatlas-base-dev,
-               python-pandas <!nocheck>, python3-pandas <!nocheck>,
-               python-pil <!nocheck>, python3-pil <!nocheck>,
+               python3-pandas <!nocheck>,
+               python3-pil <!nocheck>,
 Build-Depends-Indep: python3-sphinx (>= 1.0),
                      python3-sphinx-gallery,
                      python3-numpydoc,
@@ -39,36 +34,6 @@
 Vcs-Browser: https://salsa.debian.org/science-team/scikit-learn
 Vcs-Git: https://salsa.debian.org/science-team/scikit-learn.git
 Homepage: http://scikit-learn.sourceforge.net
-
-Package: python-sklearn
-Replaces: python-scikits-learn (<< 0.9~)
-Breaks: python-scikits-learn (<< 0.9~)
-Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-sklearn-lib(>= ${source:Version}),
-         python-joblib (>= 0.9.2),
-Provides: ${python:Provides}
-Recommends: python-nose, python-pytest, python-matplotlib
-Suggests: python-dap, python-scikits-optimization, python-sklearn-doc, ipython
-Enhances: python-mvpa2, python-mdp
-Description: Python modules for machine learning and data mining - Python 2
- scikit-learn is a collection of Python modules relevant to
- machine/statistical learning and data mining.  Non-exhaustive list of
- included functionality:
-  - Gaussian Mixture Models
-  - Manifold learning
-  - kNN
-  - SVM (via LIBSVM)
-
-Package: python-sklearn-lib
-Conflicts: python-scikits-learn-lib
-Replaces: python-scikits-learn-lib
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
-Provides: ${python:Provides}
-Description: low-level implementations and bindings for scikit-learn
- This is an add-on package for python-sklearn. It provides
- low-level implementations and custom Python bindings for the LIBSVM
- library.
 
 Package: python3-sklearn
 Architecture: all
@@ -100,7 +65,6 @@
  .
  This package contains the Python 3 version.
 
-
 Package: python-sklearn-doc
 Conflicts: python-scikits-learn-doc
 Replaces: python-scikits-learn-doc
