=== debian/changelog ===
scikit-learn (0.22.1+dfsg-1) unstable; urgency=medium

  * New upstream release; Closes: #933366, #935315
  * Drop python2 autopkgtests, no longer needed
  * debian/copyright
    - update copyright information
  * Refresh patches for new upstream code
  * debian/rules
    - stop building doc until sphinx 2.* is available
    - update how we run test: move sklearn/conftest.py out of the way (it
      somehow conflicts with the file {build_dir}) and skip to run
      test_old_pickle
  * debian/python-sklearn-doc.docs
    - comment out the HTML documentation, which we have disable for now

 -- Sandro Tosi <morph@debian.org>  Sun, 12 Jan 2020 01:17:10 -0500

scikit-learn (0.20.3+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Stop building the Python2 package. Closes: #938444.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Nov 2019 14:46:27 +0100
