=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,9 @@
 include /usr/share/dpkg/architecture.mk
 
 PYBUILD_TEST_ARGS = -m "not network" -v
+
+# until https://github.com/scikit-learn/scikit-learn/issues/16101 is fixed
+PYBUILD_TEST_ARGS += -k-test_old_pickle
 
 # Some tests are known to fail randomly so need to be excluded ATM
 ifeq ($(DEB_HOST_ARCH),arm64)
@@ -82,23 +85,25 @@
 
 # Only with the default Python 3, additionally use pybuild to run
 # sphinx once the build is complete
-ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-# FIXME: urllib.error.URLError -- have to ignore
-define PYBUILD_AFTER_BUILD_python$(PY3VER)
-  $(PYBUILD_AFTER_BUILD)
-  PYTHONPATH={build_dir} \
-  SPHINXBUILD="python$(PY3VER) -m sphinx -j $(JOBS) -D mathjax_path=MathJax.js" \
-  SPHINXOPTS="-j $(JOBS) -D mathjax_path=MathJax.js" \
-  $(MAKE) -C doc html || true;
-  [ -d doc/_build/html ]
-endef
-export PYBUILD_AFTER_BUILD_python$(PY3VER)
-endif
+## ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+## # FIXME: urllib.error.URLError -- have to ignore
+## define PYBUILD_AFTER_BUILD_python$(PY3VER)
+##   $(PYBUILD_AFTER_BUILD)
+##   PYTHONPATH={build_dir} \
+##   SPHINXBUILD="python$(PY3VER) -m sphinx -j $(JOBS) -D mathjax_path=MathJax.js" \
+##   SPHINXOPTS="-j $(JOBS) -D mathjax_path=MathJax.js" \
+##   $(MAKE) -C doc html || true;
+##   [ -d doc/_build/html ]
+## endef
+## export PYBUILD_AFTER_BUILD_python$(PY3VER)
+## endif
 
 define PYBUILD_BEFORE_TEST
-  (cd {build_dir} && python{version} -c 'import sklearn;  sklearn.show_versions()')
+  (mv $(CURDIR)/sklearn/conftest.py $(CURDIR)/sklearn/conftest.py.test ; cd {build_dir} && python{version} -c 'import sklearn;  sklearn.show_versions()')
 endef
 export PYBUILD_BEFORE_TEST
+
+export PYBUILD_AFTER_TEST=mv $(CURDIR)/sklearn/conftest.py.test $(CURDIR)/sklearn/conftest.py
 
 export PYBUILD_AFTER_INSTALL = rm -f {destdir}/{install_dir}/_configtest*
