## scikit-learn 0.22.2.post1+dfsg

=== debian/changelog ===
scikit-learn (0.22.2.post1+dfsg-5) unstable; urgency=medium

  * Team upload.

  * Skip another failing test on armhf. This should resolve the last of the
  * current FTBFS.

 -- Christian Kastner <ckk@debian.org>  Tue, 31 Mar 2020 17:10:32 +0200

scikit-learn (0.22.2.post1+dfsg-4) unstable; urgency=medium

  * Team upload.

  * Skip another failing test on armhf
  * Skip a non-deterministically failing ppc64el test

 -- Christian Kastner <ckk@debian.org>  Mon, 30 Mar 2020 11:47:33 +0200

scikit-learn (0.22.2.post1+dfsg-3) unstable; urgency=medium

  * Team upload.

  * Skip another failing test on armhf
  * autopkgtest: Disable tests requiring network

 -- Christian Kastner <ckk@debian.org>  Mon, 30 Mar 2020 09:25:31 +0200

scikit-learn (0.22.2.post1+dfsg-2) unstable; urgency=medium

  * Team upload.

  * Skip yet another flaky test on ppc64el, hopefully resolving the FTBFS now
  * autopkgtest:
    - Disable doctest, as we do at build time
    - Sync excluded tests with build-time exclusions

 -- Christian Kastner <ckk@debian.org>  Sun, 29 Mar 2020 20:46:08 +0200

scikit-learn (0.22.2.post1+dfsg-1) unstable; urgency=medium

  * Team upload.

  * New upstream release.
    - Refresh patches
  * debian/rules:
    - Merge multiple pytest -k expressions into one. Fixes a FTBFS on arm64
    - Skip a number of failing tests on ppc64el, fixing a FTBFS. Issue has been
      reported upstream

 -- Christian Kastner <ckk@debian.org>  Sun, 29 Mar 2020 13:11:58 +0200

scikit-learn (0.22.1+dfsg-2) unstable; urgency=medium

  * Team upload.

  * Update patch to skip broken armel test. Resolves a FTBFS on armel
  * d/control:
    - Bump Standards-Version to 4.5.0
    - Set Rules-Requires-Root to no
  * d/rules
    - Change attempt to skip failing test_old_pickle
    - Also skip known-flaky test_ard_accuracy_on_easy_problem
  * d/copyright:
    - Fix File pattern for libsvm, liblinear
    - Drop copyright for no longer included cblas
    - Fix License names and bodies
  * autopkgtest: Replace deprecated ADTTMP with AUTOPKGTEST_TMP
  * Drop obsolete code in patch deb_use_system_joblib
  * Refresh revision for GitHub source links
  * Add overrides for lintian warnings re: external patches
  * Add (temporary) lintian overrides for E: source-is-missing
    These files are not used, and will be excluded in the next source repack
  * Add DEP-3 headers to patches missing them

 -- Christian Kastner <ckk@debian.org>  Thu, 13 Feb 2020 16:52:57 +0100
