=== debian/control ===
--- 
+++ 
@@ -29,7 +29,8 @@
                      python-numpy-doc,
                      python-scipy-doc,
                      python-matplotlib-doc,
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/scikit-learn
 Vcs-Git: https://salsa.debian.org/science-team/scikit-learn.git
 Homepage: http://scikit-learn.sourceforge.net
