=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/" \
 https://pypi.python.org/simple/scikit-learn .*/scikit-learn-@ANY_VERSION@@ARCHIVE_EXT@#sha256=.*
