## scikit-learn 0.23.2

=== debian/changelog ===
scikit-learn (0.23.2-5ubuntu6) jammy; urgency=medium

  * Do not test the wminkowski distance function which
    was removed in scipy 1.8
  * Cherry-pick upstream commit to fix test_rank_deficient_design
  * Exclude failing docstring parameters tests

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 05 Apr 2022 14:31:03 +0000

scikit-learn (0.23.2-5ubuntu5) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:53:03 +0000

scikit-learn (0.23.2-5ubuntu4) jammy; urgency=medium

  * Cherry-pick upstream commits for numpy 1.20 compatibility

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 21 Nov 2021 16:59:47 +0000

scikit-learn (0.23.2-5ubuntu3) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Oct 2021 15:59:34 +0200

scikit-learn (0.23.2-5ubuntu2) hirsute; urgency=medium

  * Exclude test_compare_to_ELKI in the autopkgtest as well

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 08 Feb 2021 19:57:21 +0000

scikit-learn (0.23.2-5ubuntu1) hirsute; urgency=medium

  * Exclude test_compare_to_ELKI on ppc64el to avoid FTBFS

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 07 Feb 2021 18:50:31 +0000

scikit-learn (0.23.2-5) unstable; urgency=medium

  * Team upload.
  * debian patch skip_test_ELKI_PR19115.patch applies upstream
    PR19115 to skip the flaky ELKI test on arm and 32 bit systems.

 -- Drew Parsons <dparsons@debian.org>  Tue, 19 Jan 2021 22:20:59 +1100

scikit-learn (0.23.2-4) unstable; urgency=medium

  * Team upload.
  * debian patch fix_scipy1.6_PR18711.patch applies parts of upstream
    PR#18711 to fix handling with scipy 1.6 (in particular fixes
    sklearn/utils/optimize.py)
  * debhelper compatibility level 13
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Jan 2021 02:47:23 +1100

scikit-learn (0.23.2-3) unstable; urgency=medium

  * autopkgtest: Fix exclusion of test_gaussian_kde on s390x, alpha, ppc64
    (Closes: #969523)
  * Add lintian override for embedded-javascript-library in python-sklearn-doc

 -- Christian Kastner <ckk@debian.org>  Sat, 05 Sep 2020 20:43:10 +0200

scikit-learn (0.23.2-2) unstable; urgency=medium

  * Exclude armhf tests again erroneously assumed to be fixed
  * Sync autopkgtest test exclusions with d/rules

 -- Christian Kastner <ckk@debian.org>  Mon, 17 Aug 2020 00:05:08 +0200

scikit-learn (0.23.2-1) unstable; urgency=medium

  * New upstream version 0.23.2
    - Refresh patches
  * Patch cleanup:
    - Drop non-used patches from series.
      These patches address things that are no longer relevant to the code, or
      have been addressed in other patches
    - Drop two more unused patches, remove their lintian overrides
    - Unify armel div-by-zero patches
    - Drop Skip-failing-non-intel-tests.patch, fixed upstream
    - Rename patches
  * Update ppc64el test skips

 -- Christian Kastner <ckk@debian.org>  Sun, 16 Aug 2020 12:43:04 +0200

scikit-learn (0.23.1-4) unstable; urgency=medium

  * Add Increase-tolerance-for-RANSACRegressor-test.patch
  * Update Change-expected-result-type-to-pass-on-32-bit.patch
  * Fix Revert-removal-of-NumPy-div-by-zero-check.patch on armel
  * Exclude another armhf test (Bus error)
  * Exclude tests failing with SciPy >= 1.5 on s390x, alpha, ppc64

 -- Christian Kastner <ckk@debian.org>  Thu, 06 Aug 2020 11:03:59 +0200

scikit-learn (0.23.1-3) unstable; urgency=medium

  * Exclude two failing ppc64el tests for now
  * Exclude test_assess_dimesion_rank_one
  * Exclude failing test (memory) on armhf
  * Add Fix-test_float_precision-fails.patch
  * Add Revert-removal-of-NumPy-div-by-zero-check.patch
  * Add Use-assert_allclose-instead-of-equality-in-FP-comparison.patch
  * Add Change-expected-result-type-to-pass-on-32-bit.patch

 -- Christian Kastner <ckk@debian.org>  Tue, 04 Aug 2020 18:45:11 +0200

scikit-learn (0.23.1-2) unstable; urgency=medium

  * Add matplotlib-3.3-fix.patch
    Fixes FTBFS from test failures with matplotlib >= 3.3

 -- Christian Kastner <ckk@debian.org>  Wed, 29 Jul 2020 17:34:09 +0200

scikit-learn (0.23.1-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches
    - Add patches
      + Skip-two-tests-when-SciPy-1.5.patch
      + Add Skip-k-means-convergence-tests.patch
    - Drop obsolete patches
      + Fix-for-test_uniform_grid.patch
      + debian/patches/deb_use_system_joblib

  * Set python-sklearn-doc to Multi-Arch: foreign
  * Drop Files-Excluded from d/copyright. None of the patterns match anymore.
  * Drop no longer necessary +dfsg suffix and repacking
  * Add python-pandas-doc to Build-Depends-Indep for intersphinx mapping
  * Add python3-threadpoolctl to Build-Depends and Depends
  * Bump python3-numpydoc dependency to 0.9.0
  * Update lintian source overrides
  * Drop obsolete copyright stanza
  * Add myself to Uploaders

 -- Christian Kastner <ckk@debian.org>  Sat, 16 May 2020 19:16:21 +0200

scikit-learn (0.22.2.post1+dfsg-7) unstable; urgency=medium

  * Team upload.

  * Re-add a clean target that excludes dh_sphinxdoc.
    Fixes FTBFS for arch:any, as sphinx is in Build-Depends-Indep.

 -- Christian Kastner <ckk@debian.org>  Mon, 04 May 2020 12:13:10 +0200

scikit-learn (0.22.2.post1+dfsg-6) unstable; urgency=medium

  * Team upload.

  * Add Fix-for-test_uniform_grid.patch
    Cherry-picked from upstream. (Closes: #959139)
  * Bump debhelper to 12 and switch to debhelper-compat
  * Mark python3-sklearn-lib as Multi-Arch: same
  * Re-enable build of documentation, which the following updates needed for
    the new scikit-learn-modern theme:
    - Update update python-sklearn-doc.{doc-base, links)
    - Bump Depends from libjs-bootstrap to libjs-bootstrap4
    - Add Use-local-MathJax.patch
    - Add Disable-BinderHub-links.patch
  * debian/rules refactoring and minor improvements

 -- Christian Kastner <ckk@debian.org>  Mon, 04 May 2020 08:36:38 +0200
