=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: scikit-learn
 Section: python
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
-Build-Depends: debhelper (>= 9~),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
+           Michael Hanke <michael.hanke@gmail.com>,
+           Christian Kastner <ckk@debian.org>,
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
                cython3,
@@ -12,6 +15,7 @@
                python3-nose, python3-pytest,
                python3-matplotlib,
                python3-joblib (>= 0.9.2),
+               python3-threadpoolctl (>= 2.0.0),
                libsvm-dev (>= 2.84.0),
                libblas-dev | libblas.so,
                libatlas-base-dev,
@@ -19,7 +23,7 @@
                python3-pil <!nocheck>,
 Build-Depends-Indep: python3-sphinx (>= 1.0),
                      python3-sphinx-gallery,
-                     python3-numpydoc,
+                     python3-numpydoc (>= 0.9),
                      python3-pandas,
                      python3-skimage,
                      python3-pil,
@@ -29,8 +33,9 @@
                      python-numpy-doc,
                      python-scipy-doc,
                      python-matplotlib-doc,
+                     python-pandas-doc,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/scikit-learn
 Vcs-Git: https://salsa.debian.org/science-team/scikit-learn.git
 Homepage: http://scikit-learn.sourceforge.net
@@ -38,7 +43,7 @@
 Package: python3-sklearn
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, python3-numpy, python3-scipy, python3-sklearn-lib(>= ${source:Version}),
-         python3-joblib (>= 0.9.2),
+         python3-joblib (>= 0.9.2), python3-threadpoolctl (>= 2.0.0),
 Recommends: python3-nose, python3-pytest, python3-matplotlib
 Suggests: python3-dap, python-sklearn-doc, ipython3
 Enhances: python3-mvpa2, python3-mdp
@@ -56,6 +61,7 @@
 
 Package: python3-sklearn-lib
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy
 Provides: ${python3:Provides}
 Description: low-level implementations and bindings for scikit-learn - Python 3
@@ -69,11 +75,12 @@
 Conflicts: python-scikits-learn-doc
 Replaces: python-scikits-learn-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Build-Profiles: <!nodoc>
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
-         libjs-bootstrap,
+         libjs-bootstrap4,
          libjs-mathjax,
 Built-Using: ${sphinxdoc:Built-Using},
 Suggests: python-sklearn
