=== debian/tests/control ===
Tests: python3
Depends: python3-all, python3-nose, python3-sklearn, python3-numpy, python3-scipy, python3-nose, python3-pytest, python3-matplotlib, python3-joblib (>= 0.9.2),
Restrictions: allow-stderr
